XBPS-DGRAPH(1)

NAME
xbps-dgraph - XBPS utility to generate package dot(1) graphs

SYNOPSIS
xbps-dgraph [OPTIONS] MODE PKG

DESCRIPTION
The xbps-dgraph utility generates a dot(1) graph of a specific package stored in target root directory or in registered repositories and prints the result to stdout. The argument PKG is a package expression, which is explained in the PACKAGE EXPRESSION section.

PACKAGE EXPRESSION
A package expression is a form to match a pattern; currently xbps supports 3 ways to specify them:

-   by package name, i.e: “foo”.

-   by exact package name and version, i.e: “foo-1.0_1”.

-   by specifying a package name and version separated by any of the following version comparators:

    < less than
    > greater than
    <= less or equal than
    >= greater or equal than

    Example: “foo>=2.0”.

The first repository matching the package expression wins.

OPTIONS

-C, --config dir
    Specifies a path to the XBPS configuration directory. If the first character is not '/' then it's a relative path of rootdir.

-c, --graph-config file
    Specifies a path to the graph configuration file, to modify the settings of the generated graphs.

-d, --debug
    Enables extra debugging shown to stderr.

-h, --help
    Show the help message.

-M, --memory-sync
    For remote repositories, the data is fetched and stored in memory for the current operation. This ignores the existing on-disk repository archives in rootdir.

-R, --repository
    Enable repository mode. This mode explicitly looks in repositories, rather than looking in the target root directory.

-r, --rootdir dir
    Specifies a full path for the target root directory.

-V, --version
    Show the version information.

MODE
Only one of the following modes can be used at a time. By default and unless the -R option is specified, the target PKG will be queried in the root directory, otherwise it will be queried in registered repositories.

-g, --gen-config
    Generates a graph configuration file in the current working directory.

-f, --fulldeptree
    Generates a full dependency graph of the target package.

-m, --metadata
    Generates a metadata graph of the target package.

ENVIRONMENT

XBPS_ARCH
    Overrides uname(2) machine result with this value. Useful to install packages with a fake architecture.

XBPS_TARGET_ARCH
    Sets the target architecture to this value. This variable differs from XBPS_ARCH in that it allows you to install packages partially, because configuration phase is skipped (the target binaries might not be compatible with the native architecture).

FILES

/etc/xbps.d
    Default configuration directory.

/usr/share/xbps.d
    Default system configuration directory.

/var/db/xbps/.<pkgname>-files.plist
    Package files metadata.

/var/db/xbps/pkgdb-0.38.plist
    Default package database (0.38 format). Keeps track of installed packages and properties.

/var/cache/xbps
    Default cache directory to store downloaded binary packages.

EXIT STATUS
A descriptive error message will be printed to stderr.

SEE ALSO
xbps-alternatives(1), xbps-checkvers(1), xbps-create(1), xbps-digest(1), xbps-fbulk(1), xbps-fetch(1), xbps-install(1), xbps-pkgdb(1), xbps-query(1), xbps-reconfigure(1), xbps-remove(1), xbps-rindex(1), xbps-uchroot(1), xbps-uunshare(1), xbps.d(5)

AUTHORS
Juan Romero Pardines <xtraeme@gmail.com>

BUGS
Probably, but I try to make this not happen. Use it under your own responsibility and enjoy your life.

Report bugs at https://github.com/void-linux/xbps/issues